ValidationConfiguration (Apache CXF JavaDoc 3.6.11 API)

Package org.apache.cxf.validation

## Class ValidationConfiguration

- java.lang.Object
- - org.apache.cxf.validation.ValidationConfiguration

-     public class ValidationConfiguration
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ValidationConfiguration()` |
    `ValidationConfiguration​(javax.validation.ParameterNameProvider parameterNameProvider)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `javax.validation.ConstraintValidatorFactory` | `getConstraintValidatorFactory()` |
    `javax.validation.MessageInterpolator` | `getMessageInterpolator()` |
    `javax.validation.ParameterNameProvider` | `getParameterNameProvider()` |
    `Map<String,​String>` | `getProperties()` |
    `javax.validation.TraversableResolver` | `getTraversableResolver()` |
    `void` | `setConstraintValidatorFactory​(javax.validation.ConstraintValidatorFactory constraintValidatorFactory)` |
    `void` | `setMessageInterpolator​(javax.validation.MessageInterpolator messageInterpolator)` |
    `void` | `setParameterNameProvider​(javax.validation.ParameterNameProvider parameterNameProvider)` |
    `void` | `setProperties​(Map<String,​String> properties)` |
    `void` | `setTraversableResolver​(javax.validation.TraversableResolver traversableResolver)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ValidationConfiguration

          public ValidationConfiguration()

    - #### ValidationConfiguration

          public ValidationConfiguration​(javax.validation.ParameterNameProvider parameterNameProvider)

  - ### Method Detail

    - #### getParameterNameProvider

          public javax.validation.ParameterNameProvider getParameterNameProvider()

    - #### setParameterNameProvider

          public void setParameterNameProvider​(javax.validation.ParameterNameProvider parameterNameProvider)

    - #### getProperties

          public Map<String,​String> getProperties()

    - #### setProperties

          public void setProperties​(Map<String,​String> properties)

    - #### getMessageInterpolator

          public javax.validation.MessageInterpolator getMessageInterpolator()

    - #### setMessageInterpolator

          public void setMessageInterpolator​(javax.validation.MessageInterpolator messageInterpolator)

    - #### getTraversableResolver

          public javax.validation.TraversableResolver getTraversableResolver()

    - #### setTraversableResolver

          public void setTraversableResolver​(javax.validation.TraversableResolver traversableResolver)

    - #### getConstraintValidatorFactory

          public javax.validation.ConstraintValidatorFactory getConstraintValidatorFactory()

    - #### setConstraintValidatorFactory

          public void setConstraintValidatorFactory​(javax.validation.ConstraintValidatorFactory constraintValidatorFactory)